org.richfaces.event

## Class MethodExpressionPanelToggleListener

- java.lang.Object
- - org.richfaces.event.MethodExpressionEventListener
  - - org.richfaces.event.MethodExpressionPanelToggleListener

- All Implemented Interfaces:
    EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, org.richfaces.event.PanelToggleListener

      public class MethodExpressionPanelToggleListener
      extends MethodExpressionEventListener
      implements org.richfaces.event.PanelToggleListener

  MethodExpressionPanelToggleListener is a `PanelToggleListener` that wraps a `MethodExpression`. When it receives a `PanelToggleEvent`, it executes a method on an object identified by the `MethodExpression`.

  Version:
    1.0
  Author:
    akolonitsky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodExpressionPanelToggleListener()`
    `MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg)`
    `MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg, javax.el.MethodExpression methodExprZeroArg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processPanelToggle(org.richfaces.event.PanelToggleEvent panelToggleEvent)`

    - ### Methods inherited from class org.richfaces.event.MethodExpressionEventListener

      `isTransient, processEvent, restoreState, saveState, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodExpressionPanelToggleListener

          public MethodExpressionPanelToggleListener()

    - #### MethodExpressionPanelToggleListener

          public MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg)

    - #### MethodExpressionPanelToggleListener

          public MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg,
                                             javax.el.MethodExpression methodExprZeroArg)

  - ### Method Detail

    - #### processPanelToggle

          public void processPanelToggle(org.richfaces.event.PanelToggleEvent panelToggleEvent)
                                  throws javax.faces.event.AbortProcessingException

      Specified by:
        `processPanelToggle` in interface `org.richfaces.event.PanelToggleListener`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.